R12.1.1 - RPM issues with OEL

Hi Everyone!

I was preparing for R12.1.1 installation(Note 761564.1) in OEL 5 machine.
While checking the RPM's in the OEL machine. few RPMs were missing didn't come default along with the installation of OS.

I had issues with two RPMs.

elfutils-libelf-devel-static-0.137-3.el5.i386.rpm
and
elfutils-libelf-devel-0.137-3.el5.i386.rpm

When installing 'elfutils-libelf-devel-static-0.137-3.el5.i386.rpm' I was reported that its dependent 'elfutils-libelf-devel-0.137-3.el5.i386.rpm' is missing.
Then I changed the Order of the installlation of the RPM. When I tried installing 'elfutils-libelf-devel-0.137-3.el5.i386.rpm', it was through it dependent on the other one 'elfutils-libelf-devel-static-0.137-3.el5.i386.rpm'. Basically both dependent on each other(i.e Cyclic dependency).

[root@r12 Server]# rpm -ivh elfutils-libelf-devel-0.137-3.el5.i386.rpm
warning: elfutils-libelf-devel-0.137-3.el5.i386.rpm: Header V3 DSA signature: NOKEY, key ID 1e5e0159
error: Failed dependencies:
elfutils-libelf-devel-static-i386 = 0.137-3.el5 is needed by elfutils-libelf-devel-0.137-3.el5.i386
[root@r12 Server]#
[root@r12 Server]#
[root@r12 Server]# rpm -ivh elfutils-libelf-devel-static-0.137-3.el5.i386.rpm
warning: elfutils-libelf-devel-static-0.137-3.el5.i386.rpm: Header V3 DSA signature: NOKEY, key ID 1e5e0159
error: Failed dependencies:
elfutils-libelf-devel-i386 = 0.137-3.el5 is needed by elfutils-libelf-devel-static-0.137-3.el5.i386
[root@r12 Server]#


I was searching for awhile in google and metalink to fix this issue. Just got an idea to try both installation packages in the same command and it worked.

[root@r12 Server]# rpm -ivh elfutils-libelf-devel-0.137-3.el5.i386.rpm elfutils-libelf-devel-static-0.137-3.el5.i386.rpm
warning: elfutils-libelf-devel-0.137-3.el5.i386.rpm: Header V3 DSA signature: NOKEY, key ID 1e5e0159
Preparing... ########################################### [100%]
1:elfutils-libelf-devel-s########################################### [ 50%]
2:elfutils-libelf-devel ########################################### [100%]
[root@r12 Server]#

[RED: Both RPM's mentioned in single "rpm -ivh" command]

The issue came because the way I was trying to install RPM's. It would have avoided by mentioning all the RPM's in the single command line.


See you all in next article.

11 comments:

Anonymous said...

Thanks very much Suresh. You have also solved my issue in the Prerequisite Checks when installing Oracle Database 11g Release 2 on RedHat Linux 5.

Suresh Lakshmanan said...

good to know :)
leave your name while commenting to address you.
thank you for the comment.

Anonymous said...

Suresh - I was struggling to install all pre-req rpms until I found your note.. Thanks for the assistance.

Ian Siegrist

Suresh Lakshmanan said...

Thank you Ian.

Anonymous said...

Thank you from me too ... I found the same problem while installing Oracle 11g on Red Hat Enterprise Linux and your idea (changing the rpm's for x86_64) worked fine!

bye

Sara

LanelleEllisKylie said...

Thanks so much much....

Arshad said...

Thank you...

I was also stuck with the same issue...

Andhika said...

hi suresh thx for your great work :)

but i wan to add some more code :)

i use x86 when i compile your code its not work but when i change to be

rpm -ivh elfutils-libelf-devel-0.137-3.el5.x86_64.rpm elfutils-libelf-devel-static-0.137-3.el5.x86_64.rpm

It's work :)

Thankss

Suresh Lakshmanan said...

Thank you Andhika.

Biswajit Sarkar said...

Thank you Andhika.

for my R12 installation, it works.

rpm -ivh elfutils-libelf-devel-0.137-3.el5.x86_64.rpm elfutils-libelf-devel-static-0.137-3.el5.x86_64.rpm

Biswajit Sarkar said...

rpm -ivh elfutils-libelf-devel-0.137-3.el5.x86_64.rpm elfutils-libelf-devel-static-0.137-3.el5.x86_64.rpm

-- it works ...for my R12 installation...

Thank you Andhika.